Ruby: pm_constant_operator_write_node Struct Reference

Ruby 3.3.6p108 (2024-11-05 revision 75015d4c1f6965b5e85e96fb309f1f2129f933c0)

Data Fields
pm_constant_operator_write_node Struct Reference

ConstantOperatorWriteNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_constant_id_t | name
| ConstantOperatorWriteNode#name.
pm_location_t | name_loc
| ConstantOperatorWriteNode#name_loc.
pm_location_t | operator_loc
| ConstantOperatorWriteNode#operator_loc.
struct pm_node * | value
| ConstantOperatorWriteNode#value.
pm_constant_id_t | operator
| ConstantOperatorWriteNode#operator.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

ConstantOperatorWriteNode.

Type: PM_CONSTANT_OPERATOR_WRITE_NODE

Definition at line 1898 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_constant_operator_write_node::base

The embedded base node.

Definition at line 1900 of file ast.h.

## ◆ name

pm_constant_id_t pm_constant_operator_write_node::name

ConstantOperatorWriteNode#name.

Definition at line 1903 of file ast.h.

## ◆ name_loc

pm_location_t pm_constant_operator_write_node::name_loc

ConstantOperatorWriteNode#name_loc.

Definition at line 1906 of file ast.h.

## ◆ operator

pm_constant_id_t pm_constant_operator_write_node::operator

ConstantOperatorWriteNode#operator.

Definition at line 1915 of file ast.h.

## ◆ operator_loc

pm_location_t pm_constant_operator_write_node::operator_loc

ConstantOperatorWriteNode#operator_loc.

Definition at line 1909 of file ast.h.

## ◆ value

struct pm_node* pm_constant_operator_write_node::value

ConstantOperatorWriteNode#value.

Definition at line 1912 of file ast.h.

Referenced by pm_node_destroy().

The documentation for this struct was generated from the following file:

- prism/ast.h